<?
if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가 

//-- 테이블 이름을 암호화 한다.
//-- 사이트 전체에서 사용 되는 LIB

$zm_table_code	= base64_decode("MDEyMzQ1Njc4OWFiY2RlZmdoaWprbG1ub3BxcnN0dXZ3eHl6QUJDREVGR0hJSktMTU5PUFFSU1RVVldYWVpf");		//-- 테이블 이름을 바꾸기 위한 문자 배열
$zm_table_key	= base64_decode("V29wR0hhSlhZSUZDNDV1dmRlZ2hpamtsd3h5Nzh6QUJxcnN0VFVQRG1uMmZWOTYwMVFSS2JjX0VaTk8zU0xN");		//-- encode한 후 순서 변경해서 사용 가능

function zm_table_encode($tname) {
	global $zm_table_code, $zm_table_key;
	$tcode		= "";

	for($i = 0; $i < strlen($tname); $i++) {
		for($j = 0; $j < strlen($zm_table_code); $j++) {
			if(substr($tname, $i, 1) == substr($zm_table_code, $j, 1)) $tcode .= substr($zm_table_key, $j, 1);
		}
	}
	return $tcode;
}
function zm_table_decode($tcode) {
	global $zm_table_code, $zm_table_key;
	$tname		= "";

	for($i = 0; $i < strlen($tcode); $i++) {
		for($j = 0; $j < strlen($zm_table_key); $j++) {
			if(substr($tcode, $i, 1) == substr($zm_table_key, $j, 1)) $tname .= substr($zm_table_code, $j, 1);
		}
	}
	return $tname;
}
?>